// pages/updateusers/index.js
Page({
    //修改数据(改)
    inputupdateID:function(e){
      this.setData({
        updateUser_ID:e.detail.value
      })
    },
    inputupdateCollege:function(e){
      this.setData({
        updateUser_College:e.detail.value
      })
    },
    inputupdateKey:function(e){
      this.setData({
        updateUser_Key:e.detail.value
      })
    },
    updateDataFn(){
      wx.cloud.callFunction({
        name: 'useroption',
        data: {
          option: 'update',
          updateUser_ID:this.data.updateUser_ID,
          updateUser_College:this.data.updateUser_College,
          updateUser_Key:this.data.updateUser_Key
        },
        success: res => {
          wx.showToast({
            title: '用户修改成功',
          })
          console.log(res)
        },
        fail:err => {
          wx.showToast({
            title: '用户修改失败',
          })
        }
      })
    },
    getback:function(){
      wx.navigateBack({
        delta:1,
      })
    }
})